# Created by pyp2rpm-3.2.2
%global pypi_name certbot-dns-dnsimple

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           python-%{pypi_name}
Version:        0.25.1
Release:        2%{?dist}
Summary:        DNSimple DNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://github.com/certbot/certbot
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-certbot >= 0.21.1
BuildRequires:  python2-devel
BuildRequires:  python2-dns-lexicon >= 2.2.1
BuildRequires:  python2-setuptools
BuildRequires:  python2-zope-interface

%if %{with python3}
BuildRequires:  python2-sphinx
BuildRequires:  python2-sphinx_rtd_theme
%endif

%if %{with python3}
BuildRequires:  python3-certbot >= 0.21.1
BuildRequires:  python3-devel
BuildRequires:  python3-dns-lexicon >= 2.2.1
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface
%endif

%description
DNSimple DNS Authenticator plugin for Certbot

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-acme >= 0.21.1
Requires:       python2-certbot >= 0.21.1
Requires:       python2-dns-lexicon >= 2.2.1
Requires:       python2-mock
Requires:       python2-setuptools
Requires:       python2-zope-interface

%description -n python2-%{pypi_name}
DNSimple DNS Authenticator plugin for Certbot

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-acme >= 0.21.1
Requires:       python3-certbot >= 0.21.1
Requires:       python3-dns-lexicon >= 2.2.1
Requires:       python3-mock
Requires:       python3-setuptools
Requires:       python3-zope-interface
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
DNSimple DNS Authenticator plugin for Certbot

%package -n python-%{pypi_name}-doc
Summary:        certbot-dns-dnsimple documentation
%description -n python-%{pypi_name}-doc
Documentation for certbot-dns-dnsimple
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%if %{with python3}
%py3_build
# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.

%if %{with python3}
%py3_install
%endif

%py2_install


%check
%{__python2} setup.py test

%if %{with python3}
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/certbot_dns_dnsimple
%{python2_sitelib}/certbot_dns_dnsimple-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_dns_dnsimple
%{python3_sitelib}/certbot_dns_dnsimple-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html 
%endif

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.25.1-2
- Rebuilt for Python 3.7

* Wed Jun 13 2018 Eli Young <elyscape@gmail.com> - 0.25.1-1
- Update to 0.25.1 (#1591036)

* Thu Jun 07 2018 Eli Young <elyscape@gmail.com> - 0.25.0-1
- Update to 0.25.0 (#1588224)

* Wed May 02 2018 Eli Young <elyscape@gmail.com> - 0.24.0-1
- Update to 0.24.0 (#1574145)

* Thu Apr 05 2018 Eli Young <elyscape@gmail.com> - 0.23.0-1
- Update to 0.23.0 (#1563904)

* Tue Mar 20 2018 Eli Young <elyscape@gmail.com> - 0.22.2-1
- Update to 0.22.2

* Sat Mar 10 2018 Eli Young <elyscape@gmail.com> - 0.22.0-1
- Update to 0.22.0

* Mon Feb 26 2018 Nick Bebout <nb@usi.edu> - 0.21.1-3
- Actually fix the setuptools dep

* Mon Feb 26 2018 Nick Bebout <nb@usi.edu> - 0.21.1-2
- Add patch to remove no longer needed versioned dep in epel7

* Mon Feb 19 2018 Nick Bebout <nb@usi.edu> - 0.21.1-1
- Initial package.
